searchbar {
  -moz-binding: url("chrome://browser/content/search/search.xml#searchbar");
}

/* ::::: location bar ::::: */
#urlbar {
  -moz-binding: url(chrome://browser/content/urlbarBindings.xml#urlbar);
}

#PopupAutoComplete {
  -moz-binding: url("chrome://browser/content/urlbarBindings.xml#urlbar-result-popup");
}

/* ::::: print preview toolbar ::::: */
toolbar[printpreview="true"] {
  -moz-binding: url("chrome://global/content/printPreviewBindings.xml#printpreviewtoolbar");
}

menuitem.spell-suggestion {
  font-weight: bold;
}

#sidebar-box toolbarbutton.tabs-closebutton {
  -moz-user-focus: normal;
}

.verifiedDomain > #identity-icon-label {
  display: none;
}

/* apply Fitts' law to the notification bar's close button */
window[sizemode="maximized"] #content .notification-inner {
  border-right: 0px !important;
}

tabbrowser {
  -moz-binding: url("chrome://browser/content/tabbrowser.xml#tabbrowser");
}

.tabbrowser-tabs {
  -moz-binding: url("chrome://browser/content/tabbrowser.xml#tabbrowser-tabs");
}

.tabbrowser-arrowscrollbox {
  -moz-binding: url("chrome://browser/content/tabbrowser.xml#tabbrowser-arrowscrollbox");
}

.tabs-alltabs-popup {
  -moz-binding: url("chrome://browser/content/tabbrowser.xml#tabbrowser-alltabs-popup");
}

.tabbrowser-tabs > .tabbrowser-tab {
  -moz-binding: url("chrome://browser/content/tabbrowser.xml#tabbrowser-tab");
}

.tabbrowser-tabs > .tabbrowser-tab > .tab-close-button,
.tabbrowser-tabs .tabs-closebutton-box > .tabs-closebutton {
  -moz-binding: url("chrome://browser/content/tabbrowser.xml#tabbrowser-close-tab-button");
}

.tab-close-button {
  display: none;
}

.tabbrowser-tabs:not([closebuttons="noclose"]):not([closebuttons="closeatend"]) > .tabbrowser-tab[selected="true"] > .tab-close-button {
  display: -moz-box;
}

.tabbrowser-tabs[closebuttons="alltabs"] > .tabbrowser-tab > .tab-close-button {
  display: -moz-box;
}


